Subject: bug#79151: 31.0.50; eshell does not complete filename arguments with tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 04 Aug 2025 09:52:15 +0200

Daniel Mendler <[email-masked]> writes:

Hi Daniel & Jim,

>     ;; Determine, whether remote file names shall be completed.  They
>     ;; shouldn't for external commands, or when in a pipe.  Respect
>     ;; also `eshell-cmpl-remote-file-ignore', which could be set by
>     ;; the user.
>
> I often want to complete file names in when I am executing a command in
> a remote directory, also for external commands, and maybe also as part
> of a pipe.

I also don't remember the reason, why remote file name completion was
discarded for external command's arguments and pipes. Performance?

If this is what users want, we should get rid of this restriction.

Best regards, Michael.